Bug 214678 - [MAINTAINER] textproc/fzf: Update to 0.15.8
Summary: [MAINTAINER] textproc/fzf: Update to 0.15.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/junegunn/fzf/blob/...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-19 23:24 UTC by Sascha Holzleiter
Modified: 2016-11-21 05:45 UTC (History)
1 user (show)

See Also:


Attachments
Update patch (3.99 KB, patch)
2016-11-19 23:24 UTC, Sascha Holzleiter
sascha: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Holzleiter 2016-11-19 23:24:20 UTC
Created attachment 177192 [details]
Update patch

This patch updates the port to the latest version.

The dependency on devel/go-(runewidth|shellwords) is gone. Upstream uses their own forks of these libraries which we'll use now without explicitly porting them.


Poudriere testport (amd64): ok
Comment 1 Kurt Jaeger freebsd_committer 2016-11-20 19:43:54 UTC
testbuilds all fine.
Comment 2 Kurt Jaeger freebsd_committer 2016-11-20 19:44:53 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2016-11-20 19:46:44 UTC
A commit references this bug:

Author: pi
Date: Sun Nov 20 19:46:02 UTC 2016
New revision: 426617
URL: https://svnweb.freebsd.org/changeset/ports/426617

Log:
  textproc/fzf: Update 13.4 -> 0.15.8

  PR:		214678
  Changes:	https://github.com/junegunn/fzf/blob/master/CHANGELOG.md
  Submitted by:	Sascha Holzleiter <sascha@root-login.org> (maintainer)

Changes:
  head/textproc/fzf/Makefile
  head/textproc/fzf/distinfo
  head/textproc/fzf/files/
Comment 4 commit-hook freebsd_committer 2016-11-21 05:45:39 UTC
A commit references this bug:

Author: pi
Date: Mon Nov 21 05:44:54 UTC 2016
New revision: 426690
URL: https://svnweb.freebsd.org/changeset/ports/426690

Log:
  textproc/fzf: re-fix headers inclusion for ports-based ncurses

  PR:		214678
  Submitted by:	marino
  Approved by:	ncurses blanket

Changes:
  head/textproc/fzf/Makefile